Loading...
Searching...
No Matches
FileLocationHandler::OutputStreamWrapper Class Reference

The abstract file location handler class. More...

`#include <OutputStramWrapper.qc.dox.h>`

Inheritance diagram for FileLocationHandler::OutputStreamWrapper:
[legend]

## Public Member Functions

| close ()
| Flushes any buffered (unwritten) bytes, closes the output stream and releases all resources. More...
| constructor (Qore::OutputStream stream, Qore::Thread::Counter cnt)
| Creates the output stream wrapper object.
Qore::OutputStream | getStream ()
| Returns the output stream.
| methodGate (string m)
| Redirects any method calls to the stream.
| waitForIo ()
| Wait for any background I/O to complete.
| write (binary data)
| Writes bytes to the output stream. More...

## Private Attributes

Qore::Thread::Counter | cnt
| The synchronization Counter.
Qore::OutputStream | stream
| The output stream object.

## Detailed Description

The abstract file location handler class.

## Member Function Documentation

## close()

FileLocationHandler::OutputStreamWrapper::close | ( |  | ) |

virtual

Flushes any buffered (unwritten) bytes, closes the output stream and releases all resources.

Any methods called on a closed output stream will throw an exception.

Implements Qore::OutputStream.

## write()

FileLocationHandler::OutputStreamWrapper::write | ( | binary | data | ) |

virtual

Writes bytes to the output stream.

Parameters

  data | the data to write

Example:
  os.write(<0405>);

Implements Qore::OutputStream.